﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(Request.Form != null && Request.Form.Count > 0)
            {
                string userID   = Request.Form["userIDTextBox"  ];
                string password = Request.Form["passwordTextBox"];
                string name     = Request.Form["nameTextBox"    ];
                string age      = Request.Form["ageTextBox"     ];

                string message = string.Format
                (
                    "사용자 ID : {0}<br />패스워드 : {1}<br />이름 : {2}<br />나이 : {3}<br /><br />",
                    userID,
                    password,
                    name,
                    age
                );

                Response.Write(message);
            }
        }

        #endregion
        #region 제출 버튼 클릭시 처리하기 - submitButton_Click(object sender, EventArgs e)

        /// <summary>
        /// 제출 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void submitButton_Click(object sender, EventArgs e)
        {
        }

        #endregion
    }
}